[ALSA-2022:1823] Moderate: mod_auth_openidc:2.3 security update
Type:
security
Severity:
moderate
Release date:
2022-05-10
Description:
The mod_auth_openidc is an OpenID Connect authentication module for Apache HTTP Server. It enables an Apache HTTP Server to operate as an OpenID Connect Relying Party and/or OAuth 2.0 Resource Server. Security Fix(es): * mod_auth_openidc: open redirect in oidc_validate_redirect_url() (CVE-2021-32786) * mod_auth_openidc: hardcoded static IV and AAD with a reused key in AES GCM encryption (CVE-2021-32791) * mod_auth_openidc: XSS when using OIDCPreservePost On (CVE-2021-32792) * mod_auth_openidc: open redirect due to target_link_uri parameter not validated (CVE-2021-39191) For more details about the security issue(s), including the impact, a CVSS score, acknowledgments, and other related information, refer to the CVE page(s) listed in the References section. Additional Changes: For detailed information on changes in this release, see the AlmaLinux Release Notes linked from the References section.
Updated packages:
  • cjose-0.6.1-2.module_el8.6.0+2868+44838709.ppc64le.rpm
  • cjose-devel-0.6.1-2.module_el8.6.0+2868+44838709.ppc64le.rpm
  • mod_auth_openidc-2.3.7-11.module_el8.6.0+2868+44838709.ppc64le.rpm
  • cjose-devel-0.6.1-2.module_el8.6.0+2868+44838709.aarch64.rpm
  • mod_auth_openidc-2.3.7-11.module_el8.6.0+2868+44838709.aarch64.rpm
  • cjose-0.6.1-2.module_el8.6.0+2868+44838709.aarch64.rpm
  • cjose-0.6.1-2.module_el8.6.0+2868+44838709.x86_64.rpm
  • cjose-devel-0.6.1-2.module_el8.6.0+2868+44838709.x86_64.rpm
  • mod_auth_openidc-2.3.7-11.module_el8.6.0+2868+44838709.x86_64.rpm
Notes:
This page is generated automatically from Red Hat security data and has not been checked for errors. For clarification or corrections please contact the AlmaLinux Packaging Team.